# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'sidekiqtui/version'

Gem::Specification.new do |spec|
  spec.name          = 'sidekiqtui'
  spec.version       = Sidekiqtui::VERSION
  spec.authors       = ['Huy Duong']
  spec.email         = ['qhuyduong@hotmail.com']

  spec.summary       = 'Better Sidekiq CLI'
  spec.description   = 'Better Sidekiq CLI'
  spec.homepage      = 'https://github.com/qhuyduong/sidekiqtui'
  spec.license       = 'MIT'

  spec.metadata['homepage_uri'] = spec.homepage
  spec.metadata['source_code_uri'] = 'https://github.com/qhuyduong/sidekiqtui'

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'actionview'
  spec.add_dependency 'sidekiq', '~> 6.0'
  spec.add_dependency 'tty-box', '~> 0.5'
  spec.add_dependency 'tty-screen', '~> 0.7'
  spec.add_dependency 'tty-table', '~> 0.11'

  spec.add_development_dependency 'bundler', '~> 2.0'
  spec.add_development_dependency 'byebug', '~> 11.1'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'rubocop', '~> 0.82'
end
